# Installer

DoltLab ships with a binary called `installer` that serves as the primary interface for configuring a DoltLab deployment.

The `installer` uses a configuration file shipped with DoltLab called `installer_config.yaml`, as well as command line flags, to generate the static assets DoltLab needs to be deployed. Each field of the configuration file has a corresponding command line flag argument. Command line arguments take priority over related fields defined in the configuration file.

* [Configuration file reference](/reference/installer/configuration-file.md)
* [Command line reference](/reference/installer/cli.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.doltlab.com/reference/installer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
